SDL_SetJoystickVirtualButton(3)

NAME
SDL_SetJoystickVirtualButton - Set the state of a button on an opened virtual joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetJoystickVirtualButton(SDL_Joystick *joystick, int button, bool down);

DESCRIPTION
Please note that values set here will not be applied until the next call to

SDL_UpdateJoysticks , which can either be called directly, or can be called indirectly through various other SDL APIs, including, but not limited to the following:

SDL_PollEvent , SDL_PumpEvents ,

SDL_WaitEventTimeout ,

SDL_WaitEvent .

FUNCTION PARAMETERS

joystick
    the virtual joystick on which to set state.

button
    the index of the button on the virtual joystick to update.

down
    true if the button is pressed, false otherwise.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.